Get all accounting hub applications
get
/fscmRestApi/resources/11.13.18.05/accountingHubApplications
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the accounting hub application with the specified primary key.
Finder Variables- ApplicationId; integer; The unique identifier of the accounting hub application.
- PrimaryKey Finds the accounting hub application with the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AllowReversalsFlag; boolean; Indicates whether transaction reversal is enabled for the accounting hub application. Valid values are Y for Yes and N for No.
- ApplicationDescription; string; A brief description of the accounting hub application.
- ApplicationId; integer; The unique identifier of the accounting hub application.
- ApplicationName; string; Name of the accounting hub application.
- ApplicationShortName; string; Short name of the accounting hub application.
- AutomaticallyDeleteInvalidTransactionsFlag; boolean; Indicates whether automatic deletion of invalid transactions is enabled for the accounting hub application. Valid values are Y for Yes and N for No.
- MaintainSupportingReferenceBalancesFlag; boolean; Indicates whether the maintain supporting reference option is enabled for the accounting hub application. Valid values are Y for Yes and N for No.
- TransferToPeoplesoft; string; Indicates the general ledger application to which subledger accounting entries for the accounting hub application are transferred. Valid values are Y for Transfer to Oracle PeopleSoft General Ledger, N for Transfer to Oracle Fusion General Ledger, and E for Transfer to Oracle E-Business Suite General Ledger.
- ValuationMethodFlag; boolean; Indicates whether the valuation method is enabled for the accounting hub application. Valid values are Y for Yes and N for No
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : accountingHubApplications
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : accountingHubApplications-item-response
Type:
Show Source
object-
AllowReversalsFlag: boolean
Title:
Support transaction reversalMaximum Length:1Default Value:falseIndicates whether transaction reversal is enabled for the accounting hub application. Valid values are Y for Yes and N for No. -
ApplicationDescription: string
Maximum Length:
256A brief description of the accounting hub application. -
ApplicationId: integer
(int64)
The unique identifier of the accounting hub application.
-
ApplicationName: string
Maximum Length:
4000Name of the accounting hub application. -
ApplicationShortName: string
Title:
Short NameMaximum Length:4000Short name of the accounting hub application. -
AutomaticallyDeleteInvalidTransactionsFlag: boolean
Title:
Automatically delete invalid transactionsMaximum Length:1Default Value:falseIndicates whether automatic deletion of invalid transactions is enabled for the accounting hub application. Valid values are Y for Yes and N for No. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MaintainSupportingReferenceBalancesFlag: boolean
Title:
Maintain Supporting Reference BalancesMaximum Length:1Default Value:trueIndicates whether the maintain supporting reference option is enabled for the accounting hub application. Valid values are Y for Yes and N for No. -
ProcessCategories: array
Process Categories
Title:
Process CategoriesA process category groups related event classes within an accounting hub application that may be processed for accounting together or separately based on timing and workload requirements. Process categories help organize related business events into smaller data sets during accounting processing to support operational requirements. -
TransferToPeoplesoft: string
Title:
Transfer ToMaximum Length:1Indicates the general ledger application to which subledger accounting entries for the accounting hub application are transferred. Valid values are Y for Transfer to Oracle PeopleSoft General Ledger, N for Transfer to Oracle Fusion General Ledger, and E for Transfer to Oracle E-Business Suite General Ledger. -
ValuationMethodFlag: boolean
Title:
Support multiple valuation methodsMaximum Length:1Default Value:falseIndicates whether the valuation method is enabled for the accounting hub application. Valid values are Y for Yes and N for No
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Process Categories
Type:
arrayTitle:
Process CategoriesA process category groups related event classes within an accounting hub application that may be processed for accounting together or separately based on timing and workload requirements. Process categories help organize related business events into smaller data sets during accounting processing to support operational requirements.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : accountingHubApplications-ProcessCategories-item-response
Type:
Show Source
object-
ApplicationId: integer
(int64)
The unique identifier of the subledger application.
-
EventClasses: array
Event Classes
Title:
Event ClassesAn event class represents a categorization of related business events in the external source system. An event class groups related event types originating from similar business processes or sharing common accounting rules for subledger accounting. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ProcessCategoryCode: string
Title:
Short NameMaximum Length:30Short name of the process category. -
ProcessCategoryDescription: string
Title:
DescriptionMaximum Length:240A brief description of the process category. -
ProcessCategoryName: string
Title:
NameMaximum Length:80Name of the process category.
Nested Schema : Event Classes
Type:
arrayTitle:
Event ClassesAn event class represents a categorization of related business events in the external source system. An event class groups related event types originating from similar business processes or sharing common accounting rules for subledger accounting.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : accountingHubApplications-ProcessCategories-EventClasses-item-response
Type:
Show Source
object-
ApplicationId: integer
(int64)
The unique identifier of the accounting hub application associated with the event class.
-
CalculateAccountedAmountsFlag: boolean
Title:
Calculate accounted amountsMaximum Length:1Default Value:trueIndicates whether the accounting program calculates accounted amounts for the event class. Valid values are Y for Yes and N for No. -
CalculateGainLossAmountsFlag: boolean
Title:
Calculate gain or loss amountsMaximum Length:1Default Value:trueIndicates whether the accounting program calculates gain or loss amounts for the event class. Valid values are Y for Yes and N for No. -
DefaultUserJournalCategoryName: string
User journal category name associated with the event class.
-
EventClassCode: string
Title:
Event ClassMaximum Length:30Short name of the event class. -
EventClassDescription: string
Title:
DescriptionMaximum Length:255A brief description of the event class. -
EventClassName: string
Title:
NameName of the event class. -
EventTypes: array
Event Types
Title:
Event TypesAn event type represents a specific business event on a transaction that results in an accounting impact. Event types classify accounting events by their fiscal or operational purpose and align them with the appropriate subledger accounting treatment. -
GroupSourceDataOnImportFlag: boolean
Maximum Length:
1Indicates whether the group source data on import option is enabled for the event class. Valid values are Y for Yes and N for No. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
UserTransactionIdentifiers: array
User Transaction Identifiers
Title:
User Transaction IdentifiersA user transaction identifier is an optional business friendly identifier for external transactions associated with an event class. User transaction identifiers appear on accounting reports and inquiry pages to trace accounting entries back to their source.
Nested Schema : Event Types
Type:
arrayTitle:
Event TypesAn event type represents a specific business event on a transaction that results in an accounting impact. Event types classify accounting events by their fiscal or operational purpose and align them with the appropriate subledger accounting treatment.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : User Transaction Identifiers
Type:
arrayTitle:
User Transaction IdentifiersA user transaction identifier is an optional business friendly identifier for external transactions associated with an event class. User transaction identifiers appear on accounting reports and inquiry pages to trace accounting entries back to their source.
Show Source
Nested Schema : accountingHubApplications-ProcessCategories-EventClasses-EventTypes-item-response
Type:
Show Source
object-
ApplicationId: integer
(int64)
The unique identifier of the accounting hub application associated with the event type.
-
EventTypeCode: string
Title:
Short NameMaximum Length:30Short name of the event type. -
EventTypeDescription: string
Title:
DescriptionMaximum Length:240A brief description of the event type. -
EventTypeName: string
Title:
NameMaximum Length:80Name of the event type. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : accountingHubApplications-ProcessCategories-EventClasses-UserTransactionIdentifiers-item-response
Type:
Show Source
object-
ApplicationId: integer
(int64)
The unique identifier of the accounting hub application associated with the user transaction identifier.
-
ColumnName: string
Title:
View ColumnMaximum Length:30Table or view column name in which the user transaction identifier is stored. -
ColumnTitle: string
Title:
IdentifierMaximum Length:80Name of the user transaction identifier. -
EventMappingId: integer
(int64)
Read Only:
trueThe unique identifier of the event class transaction identifier mapping. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source